using System;
using System.Collections.Generic;
using System.Text;

namespace Demo
{
    public class Base64Helper
    {
        public static string DecodeBase64(string result)
        {
            string decode = "";
            Encoding encode = Encoding.UTF8;
            byte[] bytes = Convert.FromBase64String(result);
            try
            {
                decode = encode.GetString(bytes);
            }
            catch
            {
                decode = result;
            }
            return decode;
        }
    }
}
